LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-22-2008, 09:53 PM   #1
d4jtwvb
LQ Newbie
 
Registered: Dec 2008
Posts: 2

Rep: Reputation: 0
Question Error compiling tcpflow 1.2 for Sguil


Hello:

I get this error when I ran make:

[root@localhost tcpflow-0.12]# make
gcc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/local/libpcap/include -I/usr/local/libpcap/include -Wall -Wno-unused -I/usr/local/libpcap/include -c flow.c
flow.c: In function ‘create_flow_state’:
flow.c:80: error: incompatible types in assignment
flow.c: In function ‘close_file’:
flow.c:212: error: incompatible types in assignment
make: *** [flow.o] Error 1


Any ideas??

Thanks
 
Old 12-23-2008, 05:11 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
Welcome to Linux Questions.

"tcpflow-0.12" is from last century ( 1999 ) and will
probably compile with "gcc-2.xx"
gcc-3.3.6, gcc-4.1.1 or later will not work with this.

Any reason not to use "tcpflow-0.21 ??
0.21 will compile with all the gcc-4.x.x .

http://www.linuxquestions.org/linux/...Ask_a_Question
http://linuxsilo.net/docs/smart-questions_en.html
( Please tell, which Linux you are using, when a
question is asked, or add it in "Edit Profile"
here at the LQ site ).
....
 
Old 12-25-2008, 10:50 PM   #3
d4jtwvb
LQ Newbie
 
Registered: Dec 2008
Posts: 2

Original Poster
Rep: Reputation: 0
Thanks! I did used the 0.21 and it worked. I was able to compile.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Fedora 9: error when compiling flash plug-in with error failed dependencies seow_ming Fedora 2 06-17-2008 08:17 PM
Error when compiling kernel linux-2.6.22 : make: ***[_modinst_post] Error 137 ngoclan.it Linux - General 1 12-11-2007 07:54 AM
Error when compiling kernel linux-2.6.22 : make: ***[_modinst_post] Error 137 ngoclan.it Linux - Newbie 0 12-11-2007 07:49 AM
Tcpflow SBN Linux - Software 1 12-20-2006 03:06 AM
i get an error ./term.c :95 error conflicting types of tpam when compiling bitchx eveningblush Programming 0 03-30-2006 07:46 AM


All times are GMT -5. The time now is 10:38 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration